@import "src/sass/abstracts/abstracts";

:host {
  display: grid;
  grid-template-columns: 46px 1fr;
  background-color: $primary-color;
  padding: 20px;
  color: $white;
  border-radius: 6px;
  max-width: 280px;
  align-items: center;
  box-shadow: 0 3px 4px 0 rgba(0, 0, 0, .14), 0 2px 1px -1px rgba(0, 0, 0, .12), 0 1px 3px 0 rgba(0, 0, 0, .2);
  cursor: pointer;
  height: 60px;

  &:hover {
    transition: background-color ease-in-out 250ms;
    background-color: $primary-color-lighter;
  }

  .text {
    display: grid;
    grid-template-rows: 1fr 1fr;

    .title {
      font-size: 17px;
      font-weight: bold;
      padding-bottom: 10px;
    }

    .subtitle {
      font-size: 12px;
      line-height: 15px;
    }
  }

  @include respond-to-smaller-than-breakpoint('sm') {
    height: initial;
  }
}
